-- Copyright (c) 2024 Huawei Technologies Co., Ltd.
-- openUBMC is licensed under Mulan PSL v2.
-- You can use this software according to the terms and conditions of the Mulan PSL v2.
-- You may obtain a copy of Mulan PSL v2 at:
--         http://license.coscl.org.cn/MulanPSL2
-- THIS SOFTWARE IS PROVIDED ON AN "AS IS" BASIS, WITHOUT WARRANTIES OF ANY KIND,
-- EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO NON-INFRINGEMENT,
-- MERCHANTABILITY OR FIT FOR A PARTICULAR PURPOSE.
-- See the Mulan PSL v2 for more details.

local singleton = require 'mc.singleton'
local c_phy = require 'sas_phy.phy_object'
local class = require 'mc.class'
local c_phy_collection = class()

function c_phy_collection:ctor()
    self.on_add_phy = c_phy.on_add_object
    self.on_del_phy = c_phy.on_delete_object
end

function c_phy_collection:init()
    self.on_add_phy:on(function(phy)
    end)
end


return singleton(c_phy_collection)
